## python-taskflow 0.1.3

=== requirements.txt ===
# Packages needed for using this library.
pbr>=0.5.21,<1.0
anyjson>=0.3.3
iso8601>=0.1.8
# Python 2->3 compatibility library.
six>=1.4.1
# Very nice graph library
networkx>=1.8
Babel>=1.3
# Used for backend storage engine loading.
stevedore>=0.12
# Backport for concurrent.futures which exists in 3.2+
futures>=2.1.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/taskflow.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/taskflow.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/taskflow"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/taskflow"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-taskflow (0.1.3-0ubuntu3) trusty; urgency=medium

  * debian/tests/control: Add python-kazoo to the test depends.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Apr 2014 23:57:52 +0100

python-taskflow (0.1.3-0ubuntu2) trusty; urgency=medium

  * debian/patches/skip-zake-tests.patch: Skip zake tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 18 Mar 2014 09:20:26 -0400

python-taskflow (0.1.3-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 17 Mar 2014 19:37:18 -0400

python-taskflow (0.1.2-0ubuntu3) trusty; urgency=medium

  * debian/tests/control: Fix typo and allow-stderr. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Jan 2014 09:46:47 -0500

python-taskflow (0.1.2-0ubuntu2) trusty; urgency=medium

  * debian/rules: Remove tests since we use autopkgtests. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Jan 2014 11:10:34 -0500

python-taskflow (0.1.2-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    + debian/control:
      - Removed test dependencies
    + Add autopkg tests.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Jan 2014 08:57:39 -0500

python-taskflow (0.1.1-0ubuntu2) trusty; urgency=medium

  * debian/patches/fix-requirements.patch: Adjust requirements again. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 18 Dec 2013 09:34:02 -0500

python-taskflow (0.1.1-0ubuntu1) trusty; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 16 Dec 2013 08:48:09 -0500

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3~), python-setuptools,
 python-pbr, python-anyjson, python-iso8601, python-six, python-sqlalchemy,
 alembic, python-babel, python-stevedore, python-networkx,
 python-concurrent.futures, python-eventlet
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest

Package: python-taskflow
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-anyjson, python-iso8601,
 python-six, python-sqlalchemy, alembic, python-babel,
 python-babel, python-stevedore, python-concurrent.futures, python-eventlet,
Description: Taskflow structured state management library.
 A library to do [jobs, tasks, flows] in a HA manner using different backends
  to be used with OpenStack projects.

=== debian/tests/control ===
Tests: python-taskflow
Depends: @, python-all, testrepository, python-mock, python-testtools, python-kazoo
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/t/taskflow/taskflow-(.*)\.tar.gz

## python-taskflow 0.3.21

=== requirements.txt ===
# Packages needed for using this library.
pbr>=0.6,!=0.7,<1.0
anyjson>=0.3.3
iso8601>=0.1.9
# Python 2->3 compatibility library.
six>=1.6.0
# Very nice graph library
networkx>=1.8
Babel>=1.3
# Used for backend storage engine loading.
stevedore>=0.14
# Backport for concurrent.futures which exists in 3.2+
futures>=2.1.3

=== debian/changelog ===
python-taskflow (0.3.21-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 23:11:37 +0800

python-taskflow (0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 08:04:17 +0000

python-taskflow (0.2-1) experimental; urgency=medium

  [ gustavo panizzo ]
  * New upstream release.
  * Increased the version required of python-six, python-iso8601,
    python-steveodore.

  [ Thomas Goirand ]
  * Some more (build-)depends fixes.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2014 08:35:03 +0000

python-taskflow (0.1.3-2) unstable; urgency=medium

  * Adds openstack-pkg-tools as build-depends. (Closes: #743070)
  * Standards-Version: is now 3.9.5
  * Using testrepository instead of nose.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Mar 2014 11:15:22 +0800

python-taskflow (0.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Updated new upstream repository in d/copyright, d/rules and d/control.
  * Renamed python-futures into python-concurrent.futures for the
    (build-)depends (Closes: #739470).
  * Added python-subunit as build-depends.
  * Now needs python-testtools (>= 0.9.34)

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Feb 2014 15:23:19 +0800

python-taskflow (0.1.2-1) unstable; urgency=low

  * Initial release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Jan 2014 22:06:31 +0800

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Sebastien Badia <seb@sebian.fr>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools
Build-depends-indep: alembic (>= 0.4.1),
                     pylint (>= 0.25),
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-concurrent.futures (>= 2.1.3),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-kombu,
                     python-mock (>= 1.0),
                     python-networkx (>= 1.8),
                     python-oslosphinx,
                     python-six (>= 1.6.0),
                     python-sphinx,
                     python-sqlalchemy (>= 0.7.8),
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.34),
                     python-unittest2,
                     python-zake,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-taskflow.git
Vcs-Git: git://anonscm.debian.org/openstack/python-taskflow.git
Homepage: https://github.com/openstack/taskflow

Package: python-taskflow
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: alembic (>= 0.4.1),
         python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-concurrent.futures (>= 2.1.3),
         python-eventlet (>= 0.13.0),
         python-iso8601 (>= 0.1.9),
         python-networkx (>= 1.8),
         python-pbr (>= 0.6),
         python-six (>= 1.6.0),
         python-sqlalchemy (>= 0.7.8),
         python-stevedore (>= 0.14),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: Taskflow structured state management library
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/taskflow.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	find . -iname '*.pyc' -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=. testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		testr slowest ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ
endif

## python-taskflow 0.7.1

=== debian/changelog ===
python-taskflow (0.7.1-2) unstable; urgency=medium

  * Fixed FTBFS: disable failing mock >= 1.3 tests (Closes: #797443).

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Aug 2015 07:13:53 +0000

python-taskflow (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2015 15:58:07 +0100

python-taskflow (0.4.0-2) experimental; urgency=medium

  * Added ordereddict in debian/pydist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Oct 2014 15:47:13 +0800

python-taskflow (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Do not support python 2.6 because of the need for ordereddict. Therefore
    setting-up X-Python-Version: >= 2.7.
  * Add patch to disable unit tests using Kombu 3.x, which isn't available
    normally with OpenStack Juno.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2014 16:31:11 +0800

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.7.2),
                     python-concurrent.futures,
                     python-coverage,
                     python-eventlet (>= 0.16.1),
                     python-hacking,
                     python-jsonschema,
                     python-kazoo,
                     python-kombu,
                     python-mock,
                     python-mysqldb,
                     python-networkx,
                     python-oslo.serialization (>= 1.2.0),
                     python-oslo.utils (>= 1.2.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1.2.0),
                     python-psycopg2,
                     python-six,
                     python-sqlalchemy,
                     python-stevedore (>= 1.1.0),
                     python-testtools,
                     python-unittest2,
                     python-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-taskflow.git
Vcs-Git: git://anonscm.debian.org/openstack/python-taskflow.git
Homepage: https://github.com/openstack/taskflow

Package: python-taskflow
Architecture: all
Depends: alembic (>= 0.7.2),
         python-concurrent.futures,
         python-eventlet (>= 0.16.1),
         python-jsonschema,
         python-kazoo,
         python-kombu,
         python-mysqldb,
         python-networkx,
         python-oslo.serialization (>= 1.2.0),
         python-oslo.utils (>= 1.2.0),
         python-pbr,
         python-psycopg2,
         python-six,
         python-sqlalchemy,
         python-stevedore (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Description: Taskflow structured state management library
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/taskflow.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	find . -iname '*.pyc' -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'taskflow\.tests\.(?!(.*unit.test_engine_helpers\.FlowFromDetailTestCase\.test_factory_with_arg.*|.*unit\.test_engine_helpers\.FlowFromDetailTestCase\.test_no_arg_factory.*|.*unit\.test_task\.TaskTest.test_update_progress_handler_failure.*))'  | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

## python-taskflow 1.17.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
pbr<2.0,>=1.3

# Packages needed for using this library.

# Python 2->3 compatibility library.
six>=1.9.0

# Enum library made for <= python 3.3
enum34;python_version=='2.7' or python_version=='2.6'

# For async and/or periodic work
futurist>=0.1.2 # Apache-2.0

# For reader/writer + interprocess locks.
fasteners>=0.7 # Apache-2.0

# Very nice graph library
networkx>=1.8

# For contextlib new additions/compatibility for <= python 3.3
contextlib2>=0.4.0 # PSF License

# Used for backend storage engine loading.
stevedore>=1.5.0 # Apache-2.0

# Backport for concurrent.futures which exists in 3.2+
futures>=3.0;python_version=='2.7' or python_version=='2.6'

# Backport for time.monotonic which is in 3.3+
monotonic>=0.1 # Apache-2.0

# Used for structured input validation
jsonschema!=2.5.0,<3.0.0,>=2.0.0

# For the state machine we run with
automaton>=0.2.0 # Apache-2.0

# For common utilities
oslo.utils>=1.9.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0

# For lru caches and such
cachetools>=1.0.0 # MIT License

# For deprecation of things
debtcollector>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-taskflow (1.17.0-1ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 02 Sep 2015 11:50:22 +0000

python-taskflow (1.17.0-1ubuntu1) wily; urgency=medium

  * debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Aug 2015 11:14:13 -0400

python-taskflow (1.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Disabled unit test patch.
  * Black list a unit test:
    taskflow.tests.test_examples.ExamplesTestCase.test_99_bottles
    See LP bug: https://bugs.launchpad.net/taskflow/+bug/1479958

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 15:21:31 +0000

python-taskflow (1.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jul 2015 11:39:13 +0200

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.3),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.7.2),
                     python-automaton,
                     python-cachetools,
                     python-concurrent.futures (>= 3.0),
                     python-contextlib2,
                     python-coverage,
                     python-debtcollector (>= 0.3.0),
                     python-enum34,
                     python-eventlet (>= 0.17.4),
                     python-fasteners,
                     python-futurist,
                     python-hacking,
                     python-jsonschema,
                     python-kazoo (>= 2.2),
                     python-kombu,
                     python-mock (>= 1.3),
                     python-monotonic (>= 0.1),
                     python-pymysql,
                     python-networkx,
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.9.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.7.0),
                     python-psycopg2,
                     python-redis,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.7),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-taskflow.git
Vcs-Git: git://anonscm.debian.org/openstack/python-taskflow.git
Homepage: https://github.com/openstack/taskflow

Package: python-taskflow
Architecture: all
Depends: alembic (>= 0.7.2),
         python-automaton,
         python-cachetools,
         python-concurrent.futures (>= 3.0),
         python-contextlib2,
         python-debtcollector (>= 0.3.0),
         python-enum34,
         python-eventlet (>= 0.17.4),
         python-fasteners,
         python-futurist,
         python-jsonschema,
         python-kazoo,
         python-kombu,
         python-monotonic (>= 0.1),
         python-pymysql,
         python-networkx,
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.9.0),
         python-pbr (>= 1.3),
         python-psycopg2,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.7),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Description: Taskflow structured state management library
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-PYTHONS:=$(shell pyversions -vr)
 
 UPSTREAM_GIT = git://github.com/openstack/taskflow.git
 include /usr/share/openstack-pkg-tools/pkgos.make
@@ -23,7 +21,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'taskflow\.tests\.(?!(.*unit.test_engine_helpers\.FlowFromDetailTestCase\.test_factory_with_arg.*|.*unit\.test_engine_helpers\.FlowFromDetailTestCase\.test_no_arg_factory.*|.*unit\.test_task\.TaskTest.test_update_progress_handler_failure.*))'  | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'taskflow\.tests\.(?!.*test_examples\.ExamplesTestCase\.test_99_bottles.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/taskflow-$1\.tar\.gz/ \
  https://github.com/stackforge/taskflow/tags .*/v?(\d\S*)\.tar\.gz

## python-taskflow 1.30.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
pbr>=1.6 # Apache-2.0

# Packages needed for using this library.

# Python 2->3 compatibility library.
six>=1.9.0 # MIT

# Enum library made for <= python 3.3
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

# For async and/or periodic work
futurist>=0.11.0 # Apache-2.0

# For reader/writer + interprocess locks.
fasteners>=0.7 # Apache-2.0

# Very nice graph library
networkx>=1.10 # BSD

# For contextlib new additions/compatibility for <= python 3.3
contextlib2>=0.4.0 # PSF License

# Used for backend storage engine loading.
stevedore>=1.5.0 # Apache-2.0

# Backport for concurrent.futures which exists in 3.2+
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD

# Backport for time.monotonic which is in 3.3+
monotonic>=0.6 # Apache-2.0

# Used for structured input validation
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT

# For the state machine we run with
automaton>=0.5.0 # Apache-2.0

# For common utilities
oslo.utils>=3.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0

# For lru caches and such
cachetools>=1.0.0 # MIT License

# For deprecation of things
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-taskflow (1.30.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control, d/native_json_type.patch: Drop dependency on
      python-sqlalchemy-utils from BDs and revert to locally defined Json type.
    - d/p/drop-sphinx-git.patch: Drop use of git from sphinx config.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Mar 2016 16:42:37 -0400

python-taskflow (1.30.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Mar 2016 04:16:11 +0000

python-taskflow (1.26.0-1ubuntu1) xenial; urgency=medium

  * d/control, d/native_json_type.patch: Drop dependency on
    python-sqlalchemy-utils from BDs and revert to locally defined Json type.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Feb 2016 10:05:10 -0500

python-taskflow (1.26.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2016 03:40:16 +0000

python-taskflow (1.25.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed use-async_utils.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Dec 2015 17:52:48 +0100

python-taskflow (1.21.0-3) unstable; urgency=medium

  * Downgrade python-networkx minimum version to 1.9 instead of 1.10, as it
    doesn't look like the update will come soon.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2015 23:20:16 +0000

python-taskflow (1.21.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 11:27:59 +0000

python-taskflow (1.21.0-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * New upstream release.
  * d/control: Fixed (build-)depends for this release.
  * d/control: python-mysql is now replaced with python-pymysql.
  * d/control: unittest2 is not used anymore.
  * d/patches: Add use-async_utils.patch

  [ Thomas Goirand ]
  * Added python{3,}-netifaces as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Oct 2015 18:44:05 +0000

python-taskflow (1.17.0-3) experimental; urgency=medium

  * Added Python3 support (Closes: #798018).
  * Added a -doc package.
  * Fixed compat level.
  * Fixed wrong watch file URL (moved upstream).

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Sep 2015 07:56:16 +0000

python-taskflow (1.17.0-2) experimental; urgency=medium

  * Applied what's remaining as usefull in the Ubuntu patch (Closes: #791930).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 13:49:30 +0200

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: alembic (>= 0.7.2),
                     python-alembic,
                     python-automaton (>= 0.5.0),
                     python-cachetools (>= 1.0.0),
                     python-concurrent.futures (>= 3.0),
                     python-contextlib2,
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fasteners (>= 0.7),
                     python-futurist (>= 0.11.0),
                     python-hacking,
                     python-jsonschema,
                     python-kazoo (>= 2.2),
                     python-kombu (>= 3.0.25),
                     python-mock (>= 1.3),
                     python-monotonic (>= 0.6),
                     python-networkx (>= 1.10),
                     python-netifaces,
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2,
                     python-pymysql (>= 0.6.2),
                     python-redis,
                     python-retrying (>= 1.2.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-zake,
                     python3-alembic,
                     python3-automaton,
                     python3-cachetools,
                     python3-contextlib2,
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.4),
                     python3-fasteners (>= 0.7),
                     python3-futurist (>= 0.11.0),
                     python3-jsonschema,
                     python3-kazoo (>= 2.2),
                     python3-kombu (>= 3.0.25),
                     python3-mock (>= 1.3),
                     python3-monotonic (>= 0.6),
                     python3-networkx (>= 1.10),
                     python3-netifaces,
                     python3-oslo.serialization (>= 2.0.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-psycopg2,
                     python3-pymysql (>= 0.6.2),
                     python3-redis,
                     python3-retrying (>= 1.2.3),
                     python3-six (>= 1.9.0),
                     python3-sqlalchemy (>= 1.0.10),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-taskflow.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-taskflow.git
Homepage: https://github.com/openstack/taskflow
XS-Testsuite: autopkgtest

Package: python-taskflow
Architecture: all
Depends: alembic (>= 0.7.2),
         python-automaton (>= 0.5.0),
         python-cachetools (>= 1.0.0),
         python-concurrent.futures (>= 3.0),
         python-contextlib2,
         python-debtcollector (>= 1.2.0),
         python-enum34,
         python-eventlet (>= 0.17.4),
         python-fasteners (>= 0.7),
         python-futurist (>= 0.11.0),
         python-jsonschema,
         python-kazoo,
         python-kombu (>= 3.0.25),
         python-monotonic (>= 0.6),
         python-networkx (>= 1.10),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-psycopg2,
         python-pymysql (>= 0.6.2),
         python-retrying (>= 1.2.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Description: Taskflow structured state management library - Python 2.7
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 2.7 module.

Package: python3-taskflow
Architecture: all
Depends: alembic (>= 0.7.2),
         python3-automaton,
         python3-cachetools,
         python3-contextlib2,
         python3-debtcollector (>= 1.2.0),
         python3-eventlet (>= 0.17.4),
         python3-fasteners (>= 0.7),
         python3-futurist (>= 0.11.0),
         python3-jsonschema,
         python3-kazoo,
         python3-kombu (>= 3.0.25),
         python3-monotonic (>= 0.6),
         python3-networkx (>= 1.10),
         python3-oslo.serialization (>= 2.0.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-psycopg2,
         python3-pymysql (>= 0.6.2),
         python3-retrying (>= 1.2.3),
         python3-six (>= 1.9.0),
         python3-sqlalchemy (>= 1.0.10),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python:Recommends},
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+PYTHONS:=$(shell pyversions -vr)
+PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT = git://github.com/openstack/taskflow.git
 include /usr/share/openstack-pkg-tools/pkgos.make
@@ -6,7 +9,18 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+
+override_dh_install:
+	set -e ; for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-taskflow; \
+	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-taskflow; \
+	done
+	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
@@ -27,3 +41,19 @@
 		testr-python$$PYMAJOR slowest ; \
 	done
 endif
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -b html doc/source debian/python-taskflow-doc/usr/share/doc/python-taskflow-doc/html
+	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
+
+# Commands not to run
+override_dh_installcatalogs:
+override_dh_installemacsen override_dh_installifupdown:
+override_dh_installinfo override_dh_installmenu override_dh_installmime:
+override_dh_installmodules override_dh_installlogcheck:
+override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
+override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
+override_dh_installcron override_dh_installdebconf:
+override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Tests: python-taskflow
Depends: @, python-all, testrepository, python-mock, python-testtools, python-kazoo,
 python-kombu, python-zake, python-oslo-serialization, python-oslo-utils, python-oslotest,
 python-jsonschema
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/taskflow-$1\.tar\.gz/ \
  https://github.com/openstack/taskflow/tags .*/v?(\d\S*)\.tar\.gz
